## gprolog 1.4.5

=== doc/Makefile ===
PREFIX=gprolog
MAIN=$(PREFIX).tex
DVINAME=$(PREFIX).dvi
PSNAME=$(PREFIX).ps
PDFNAME=$(PREFIX).pdf
HTMLNAME=$(PREFIX).html
CHMNAME=$(PREFIX).chm


# Images:
#    .eps are needed for latex (and hevea)
#    .pdf are needed for pdflatex
#    .png are needed for hevea
#
# There are rules to convert eps -> pdf and eps->png
# NB: convert (ImageMagick) is a superb tool for conversion
#
# For the logo: it is created from the .ico using convert
#  NB: gprolog.ico[5] means the 5th image of the .ico file (256x256)

IMG_EPS=logo.eps compil-scheme.eps debug-box.eps
IMG_PDF=$(IMG_EPS:.eps=.pdf)
IMG_PNG=$(IMG_EPS:.eps=.png)

TEX_SRC=$(MAIN) packages.tex macros.tex body.tex copyright.tex \
        cover.tex acknow.tex intro.tex use.tex debugger.tex \
        format-defs.tex direct-cc.tex pl-bips.tex fd-cstr.tex \
        c-interface.tex references.tex tbl-contents.tex the-index.tex \
        version_no.tex

TRACE=
#TRACE=-trace


.SUFFIXES:
.SUFFIXES: .html .hva .pdf .gif .png .eps .ps .dvi .aux .toc .idx .tex $(SUFFIXES)

help:
	@echo
	@echo '*** Please read the README file ***'
	@echo
	@echo 'make all        make DVI, PDF, PostScript, HTML and CHM versions'
	@echo 'make dvi        make DVI version        (needs LaTeX2e)'
	@echo 'make pdf        make PDF version        (needs pdflatex)'
	@echo 'make ps         make PostScript version (needs dvips)'
	@echo 'make html       make HTML versions      (needs HeVeA)'
	@echo 'make chm        make HTMLHelp version   (needs hhc - Win32 only)'
	@echo
	@echo 'make clean      remove all temporary files'
	@echo 'make distclean  remove all versions and auxiliary files'
	@echo 'make clean-all  remove all versions'
	@echo
	@echo 'make help       this help'
	@echo


.eps.pdf:
	epstopdf $<
#	convert $< $@
#	ps2pdf $< $@


#.eps.gif:
#	convert $< $@

.eps.png:
	convert $< $@



all: dvi pdf ps html chm


logo.eps: ../gprolog.ico
	convert -scale 150x150 $<[5] $@

# epstopdf does not handle transparency (needed for HeVeA in case the background is colored)
logo.png: ../gprolog.ico
	convert -scale 150x150 $<[5] $@

logo.pdf: ../gprolog.ico
	convert -scale 150x150 $<[5] $@



dvi: $(DVINAME)

$(DVINAME): $(TEX_SRC) $(IMG_EPS)
	./do_latex -dvi $(TRACE) $(MAIN)



pdf: $(PDFNAME)

$(PDFNAME): $(TEX_SRC)  $(IMG_PDF)
	./do_latex -pdf $(TRACE) $(MAIN)


ps: $(PSNAME)

$(PSNAME): $(DVINAME)
	dvips -o $(PSNAME) -D 300 $(DVINAME)



html: $(HTMLNAME) html_node/index.html

$(HTMLNAME): custom.hva $(TEX_SRC) $(IMG_PNG)
	hevea -O -s -exec xxdate.exe -fix custom.hva $(MAIN) -o $(HTMLNAME)

html_node/index.html: $(HTMLNAME)
	rm -f html_node/index.html html_node/$(PREFIX)*.html
	cp $(IMG_PNG) html_node/.
	(cd html_node && hacha -hrf -tocbis ../$(HTMLNAME) && ./hh_do_hhc_hhk $(PREFIX))

chm: $(CHMNAME)

$(CHMNAME): $(HTMLNAME) html_node/hh-$(PREFIX).hhp html_node/index.html
	-(cd html_node; hhc hh-$(PREFIX).hhp; mv -f $(CHMNAME) ..) 2>/dev/null || exit 0

clean:
	rm -f $(PREFIX).aux $(PREFIX).toc $(PREFIX).ind $(PREFIX).idx $(PREFIX).log  $(PREFIX).out $(PREFIX).ilg
	rm -f $(PREFIX).pdf.aux $(PREFIX).pdf.toc $(PREFIX).pdf.ind $(PREFIX).pdf.idx
	rm -f $(PREFIX).dvi.aux $(PREFIX).dvi.toc $(PREFIX).dvi.ind $(PREFIX).dvi.idx
	rm -rf $(PREFIX)*.htoc $(PREFIX)*.haux $(PREFIX)*.hind $(PREFIX)*.hrf


distclean: clean-aux


clean-all:
	rm -f $(DVINAME) $(PDFNAME) $(PSNAME) $(CHMNAME)
	rm -f $(HTMLNAME)
	(cd html_node ; rm -f *.hhc *.hhk *.css *.hrf *_motif.gif *.png *.html)

clean-aux:
	rm -f *.aux *.toc *.ind *.idx *.log *.haux *.htoc *.hidx *.hind *.out *.ilg *.hrf *.image.tex 

clean-full: clean-all clean-aux

clean-test:
	rm -f ?.dvi ?.pdf ?.html ?.ps ?.info ?.txt
	rm -f ?.aux ?.toc ?.idx ?.ind ?.log
	rm -f ?.haux ?.htoc ?.hidx ?.hind ?.out ?.ilg ?.hrf


# create compressed formats for DVI and HTML in 1 page and HTML 1 page / node

COPY_PATH=/tmp
DVITGZNAME=$(DVINAME).tar.gz
HTMLTGZNAME=$(HTMLNAME).tar.gz
HTMLNODETGZNAME=$(PREFIX).html_node.tar.gz

copy: $(DVINAME) $(PSNAME) $(PDFNAME) $(HTMLNAME) $(CHMNAME) names
	cp $(DVINAME) $(IMG_EPS) $(PSNAME) $(PDFNAME) $(HTMLNAME) $(IMG_PNG) $(CHMNAME) $(COPY_PATH)/.
	tar cf - $(DVINAME) $(IMG_EPS) | gzip > $(COPY_PATH)/$(DVITGZNAME)
	tar cf - $(HTMLNAME) $(IMG_PNG) | gzip > $(COPY_PATH)/$(HTMLTGZNAME)
	( cd html_node ; tar cf - index.html $(PREFIX)*.html $(PREFIX)*.css *.gif *.png| gzip > $(COPY_PATH)/$(HTMLNODETGZNAME) )

NAMES_FILE=$(COPY_PATH)/doc_names

names:
	@echo '# file generated by doc/Makefile'    >$(NAMES_FILE)
	@echo "PREFIX=$(PREFIX)"                   >>$(NAMES_FILE)
	@echo "DVINAME=$(DVINAME)"                 >>$(NAMES_FILE)
	@echo "PDFNAME=$(PDFNAME)"                 >>$(NAMES_FILE)
	@echo "PSNAME=$(PSNAME)"                   >>$(NAMES_FILE)
	@echo "HTMLNAME=$(HTMLNAME)"               >>$(NAMES_FILE)
	@echo "CHMNAME=$(CHMNAME)"                 >>$(NAMES_FILE)
	@echo "IMG_EPS='$(IMG_EPS)'"               >>$(NAMES_FILE)
	@echo "IMG_PNG='$(IMG_PNG)'"               >>$(NAMES_FILE)
	@echo "DVITGZNAME=$(DVITGZNAME)"           >>$(NAMES_FILE)
	@echo "HTMLTGZNAME=$(HTMLTGZNAME)"         >>$(NAMES_FILE)
	@echo "HTMLNODETGZNAME=$(HTMLNODETGZNAME)" >>$(NAMES_FILE)

for-release: all dist-dvi dist-html names

=== debian/changelog ===
gprolog (1.4.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gcc 6 on i386, workaround the FTBFS by using
    --disable-regs on i386. (Closes: #852008)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Feb 2017 12:30:08 +0200

gprolog (1.4.5-4) unstable; urgency=medium

  * lintian-motivated fixes:
    - new manpage (bad whatis entry)
    - correct source URL in copyright file
    - don't install COPYING file
  * fix several uninitialized variable warnings (in src/ subdirs)
  * don't generate Win32 files

 -- Salvador Abreu <spa@debian.org>  Sun, 11 Dec 2016 00:16:43 +0000

gprolog (1.4.5-3) unstable; urgency=medium

  * clean up alternatives and links after remove (postinst), to keep
    piuparts happy.
  * build from source on amd64 should now work; reported by Didier Raboud
    (closes: #643143).
  * only use explicit gcc-5 as compiler on i386, other architectures fall
    back to gcc.

 -- Salvador Abreu <spa@debian.org>  Fri, 09 Dec 2016 16:23:46 +0000

gprolog (1.4.5-2) unstable; urgency=medium

  * Bug fix: "Debian changelog uncompressed", reported by Aaron M. Ucko -
    manually compress changelog and others (closes: #847413).
  * Temporarily exclude mips and mipsel from the target architectures,
    until the old back-end is ported (it's no longer in upstream).
  * Fall back to using gcc 5 because gcc 6 (now current) bombs on i386 for
    src/EnginePl/machine.c
  * Adjust "configure" flags to suit i386 as well.
  * Disable call to mallopt() in machine.c

 -- Salvador Abreu <spa@debian.org>  Thu, 08 Dec 2016 16:59:50 +0000

gprolog (1.4.5-1) unstable; urgency=medium

  * Initial git-based package overhaul: now forked from the GNU Prolog git
    repo which, at this time, is (unstable) version 1.4.5.
    (closes: #661739, #705740, #618280).
  * Much simplified patches, we're basically sticking to upstream now,
    dropped the "watermark" code from 1.3.0.
  * Bug fix: don't compress examples, reported by Andrew Shadura 
    (closes: #674576).
  * Bug fix: "manpage refers to non-existing documentation file", reported
    by Michael Stapelberg (closes: #671924).
  * Bug fix: "GNU Prolog Docs should be in section Programming/Prolog",
    thanks to Ralf Treinen (closes: #505670).
  * Integrate NMU fixes (closes: #846516).
  * relocate all executables into /usr/lib/gprolog/bin/ and provide
    aliases via update-alternatives(1)
  * put includes in /usr/lib/gprolog/include/ and link back to
    /usr/include/gprolog/ (also via update-alternatives(1))

 -- Salvador Abreu <spa@debian.org>  Wed, 07 Dec 2016 00:48:21 +0000

=== debian/control ===
Source: gprolog
Section: devel
Priority: optional
Maintainer: Salvador Abreu <spa@debian.org>
Build-Depends: debhelper (>= 9), autoconf (>= 2.52), autotools-dev
Build-Depends-Indep: imagemagick, gsfonts, texlive-latex-recommended,
 texlive-latex-extra, texlive-font-utils, hevea (>= 1.09)
Standards-Version: 3.9.8
Homepage: http://www.gprolog.org/
# Vcs-Git: https://anonscm.debian.org/collab-maint/gprolog.git
# Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gprolog.git

Package: gprolog
Architecture: i386 amd64 sparc sparc64 alpha powerpc powerpcspe
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).  GNU Prolog is largely compliant with the ISO
 standard and is part of the Prolog Commons initiative.
 .
 This package contains the compiler and runtime system for the ISO
 standard version of GNU Prolog, including the prototype modules
 implementation.

Package: gprolog-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: gprolog (<< 1.2.7)
Recommends: xpdf | pdf-viewer, w3m | www-browser
Description: documentation for the GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).
 .
 This package contains the documentation (PDF and HTML) for GNU
 Prolog.

=== debian/rules ===
#! /usr/bin/make -f
# =============================================================================
# debian/rules for the GNU Prolog packages:
#   architecture-dependant package (gprolog-doc),
#   architecture-independent package (gprolog).
#
# Written by Salvador Abreu <spa@debian.org> based on the template in
# /usr/share/doc/debhelper/examples/rules.multi, with the following header:
# =============================================================================
#
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

# -----------------------------------------------------------------------------

SHELL=/bin/sh

PACKAGE = gprolog

LIBDIR = /usr/lib/$(PACKAGE)
BINDIR = /usr/lib/$(PACKAGE)/bin
DOCDIR = /usr/share/doc/$(PACKAGE)-doc

SRCDIR=src
DBGFLAGS=-g -O3 -fomit-frame-pointer -no-pie
BCFLAGS=-funsigned-char
export LDFLAGS=-no-pie

REGS = --enable-regs
# FTBFS workaround (#852008)
ifneq ($(filter $(DEB_TARGET_ARCH), i386),)
  REGS = --disable-regs
endif

# =============================================================================

CPPFLAGS = \
	-DDEBIAN

CONFOPTIONS =								\
	--prefix=/usr							\
	--bindir=$(BINDIR)						\
	--libdir=$(LIBDIR)						\
	--includedir=$(LIBDIR)/include					\
	--with-install-dir=$(LIBDIR)					\
	--with-doc-dir=$(DOCDIR)					\
	--with-html-dir=$(DOCDIR)/gprolog.html				\
	--with-examples-dir=$(DOCDIR)/examples				\
	--without-links							\
	--disable-ebp							\
	$(REGS)								\
	--with-c-flags="$(DBGFLAGS) $(BCFLAGS) -Wall $(CPPFLAGS)"


INSTALLDIRS =								\
	INSTALL_DIR=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)		\
	INSTALL_BIN=$(CURDIR)/debian/$(PACKAGE)$(BINDIR)		\
	INSTALL_LIB=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)		\
	INSTALL_INC=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)/include	\
	DOC_DIR=$(CURDIR)/debian/$(PACKAGE)-doc$(DOCDIR)		\
	HTML_DIR=$(CURDIR)/debian/$(PACKAGE)-doc$(DOCDIR)/gprolog.html	\
	EXAMPLES_DIR=$(CURDIR)/debian/$(PACKAGE)-doc$(DOCDIR)/examples

ROOT = $(shell pwd)
SRCPATH = $(ROOT)/src
SRCXDIRS = TopComp EnginePl Pl2Wam Wam2Ma Ma2Asm Fd2C DevUtils
SRCXPATH := $(foreach dir,$(SRCXDIRS),$(SRCPATH)/$(dir):)
SRCXPATH := $(shell echo $(SRCXPATH) | tr -d ' ')
PATH = $(SRCXPATH):/usr/bin:/bin
PL_PATH = ${CURDIR}/src
CC = gcc

# == build binaries and documentation =========================================

build: build-indep build-arch

stamp-config: config
config:
	dh_testdir
# -----------------------------------------------------------------------------
	( PATH=${PATH};							     \
	  if [ ! -f $(SRCDIR)/Makefile -o				     \
	       ! -f $(SRCDIR)/configure -o				     \
	       $(SRCDIR)/Makefile.in -nt $(SRCDIR)/Makefile ]; then	     \
	    cd $(SRCDIR);						     \
	    [ -f ./configure ] || autoconf;				     \
	    CC=$(CC) CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
# -----------------------------------------------------------------------------
	touch stamp-config

build-indep: stamp-build-indep
stamp-build-indep: stamp-config
	dh_testdir
# -- commands to configure and build the package ------------------------------
	PATH=${PATH} make -C doc pdf html
# -----------------------------------------------------------------------------
	touch stamp-build-indep

build-arch: stamp-build-arch
stamp-build-arch: stamp-config
#	env > ENV
	dh_testdir
# -- commands to configure and build the package ------------------------------
	## fix up the time stamp on generated files in the Debian diff,
	## which can't be regenerated during build w/o a tool that depends
	## on them!
	if [ -f src/BipsPl/arith_inl.wam ]; then	\
		touch src/BipsPl/arith_inl.wam;	\
	fi
	PATH=${PATH} PL_PATH=${PL_PATH} make -C $(SRCDIR)
# -----------------------------------------------------------------------------
	touch stamp-build-arch


# == clean up everything ======================================================

clean:
clean: stamp-config
	dh_testdir
	dh_testroot
	rm -f stamp-build-arch stamp-build-indep stamp-config
# -- commands to clean up after the build process -----------------------------
	set -e; PATH=${PATH} make -C $(SRCDIR) distclean
# -- now, get rid of some more generated files --------------------------------
	set -e;								\
	  find -name Makefile -o -name configure |			\
	    while read FILE; do						\
	      if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
	find src -name VERSION | xargs -r rm -f
	rm -rf $(SRCDIR)/autom4te.cache
	rm -f $(SRCDIR)/EnginePl/gprolog_cst.h
	rm -f $(SRCDIR)/EnginePl/wam_stacks.h
# -- make sure all *.wam files are more recent than *.pl ----------------------
	find $(SRCDIR) -name \*.wam | xargs touch
# -- clean up docs ------------------------------------------------------------
	make -C doc clean-all distclean
# -- clean up examples --------------------------------------------------------
	ls -d examples/Examples* | while read DIR; do	\
	  if [ -f $$DIR/Makefile ]; then		\
	    make -C "$$DIR" clean;			\
	  fi;						\
	done
# -----------------------------------------------------------------------------
	dh_clean


# == arch-dependent installation ==============================================

install-arch:
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A
# -- install the package into the staging area --------------------------------
	make -C $(SRCDIR) $(INSTALLDIRS) install-system
# -- create gprolog etc, links in /usr/bin ------------------------------------
#    (this is now done by gprolog.postinst)
# -- Install manpages ---------------------------------------------------------
	mkdir -p debian/$(PACKAGE)/usr/share/man/man1/
	cat debian/manpage.1 |						 \
	  sed -e "s/@PACKAGE@/$(PACKAGE)/g" |				 \
	  gzip -9 > debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1.gz
	for CMD in gplc hexgplc; do					\
	  ln -sf $(PACKAGE).1.gz					\
		 debian/$(PACKAGE)/usr/share/man/man1/$$CMD.1.gz;	\
	done
# -- Install auxiliary stuff --------------------------------------------------
	mkdir -p debian/$(PACKAGE)/usr/share/icons/
	install -c -m 444						\
		doc/logo.png						\
		debian/$(PACKAGE)/usr/share/icons/$(PACKAGE).png
	mkdir -p debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/
	install -c -m 444					\
		NEWS README					\
		debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/
# -----------------------------------------------------------------------------
#	dh_movefiles


# == arch-independent installation ============================================

install-indep:
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs -A
# -- commands to install the package into the staging area --------------------
	make -C $(SRCDIR) $(INSTALLDIRS) \
	  install-doc install-html install-examples
# -- remove stray PDFs --------------------------------------------------------
	find debian/$(PACKAGE)-doc -name compil-scheme.pdf\* | xargs -r rm -f
	find debian/$(PACKAGE)-doc -name debug-box.pdf\* | xargs -r rm -f
# -----------------------------------------------------------------------------
#	dh_movefiles


# == build architecture-independent files =====================================

binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i # -pgprolog-doc
#	dh_installexamples -i
	dh_installemacsen -i
#	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf -X.pl
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_installmenu -a
	dh_installman -a
#	dh_installinfo -a
	dh_installchangelogs ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a -X.pl -X.html
	dh_fixperms -a
#	dh_makeshlibs -a
	for CTLFILE in postinst prerm; do			\
	  ( echo "# -- Prolog variant ---------";		\
	    echo LIB=/usr/lib/gprolog;				\
	    echo "# ---------------------------" )		\

## gprolog 1.4.5.0

=== debian/changelog ===
gprolog (1.4.5.0-3) unstable; urgency=medium

  * Make a note that doc/copyright.tex is auto-generated - Bug fix:
    "FTBFS: dpkg-buildpackage: error: dpkg-source -b . subprocess returned
    exit status 2", reported by Lucas Nussbaum (Closes: #952270).  File
    doc/copyright.tex is auto-generated even though it's in the original
    source.
  * Allow for compilation with GCC 10: pass -fcommon flag.
  * Added Multi-Arch: foreign to gprolog-doc.

 -- Salvador Abreu <spa@debian.org>  Sun, 23 Feb 2020 20:14:50 +0000

gprolog (1.4.5.0-2) unstable; urgency=medium

  * Update to current policy (4.4.0)
  * Source-only upload (thanks to Julian Gilbey <jdg@debian.org> for
    pointing that out...)
  * Bug fix: "please add dependency “Suggests: gprolog-doc”", thanks to
    Ben Finney (Closes: #849601).

 -- Salvador Abreu <spa@debian.org>  Sun, 22 Sep 2019 01:42:45 +0100

gprolog (1.4.5.0-1) unstable; urgency=medium

  * reverted to master branch (not module) (Closes: #861027)
  * backed out of git packaging (at least temporarily)
  * introduced an extra .0 version to enable the correct .orig.tar.gz to
    be used.

 -- Salvador Abreu <spa@debian.org>  Mon, 11 Mar 2019 01:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autoconf (>= 2.52), autotools-dev
 Build-Depends-Indep: imagemagick, gsfonts, texlive-latex-recommended,
  texlive-latex-extra, texlive-font-utils, hevea (>= 1.09)
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: http://www.gprolog.org/
 # Vcs-Git: https://anonscm.debian.org/collab-maint/gprolog.git
 # Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gprolog.git
@@ -13,6 +13,7 @@
 Package: gprolog
 Architecture: i386 amd64 sparc sparc64 alpha powerpc powerpcspe
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: gprolog-doc
 Description: GNU Prolog compiler
  GNU Prolog is a free Prolog compiler with constraint solving over
  finite domains (FD).  GNU Prolog is largely compliant with the ISO
@@ -24,10 +25,11 @@
 
 Package: gprolog-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Conflicts: gprolog (<< 1.2.7)
-Recommends: xpdf | pdf-viewer, w3m | www-browser
+Recommends: pdf-viewer, www-browser
 Description: documentation for the GNU Prolog compiler
  GNU Prolog is a free Prolog compiler with constraint solving over
  finite domains (FD).

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,11 @@
 BINDIR = /usr/lib/$(PACKAGE)/bin
 DOCDIR = /usr/share/doc/$(PACKAGE)-doc
 
+GCCV = $(shell gcc -dumpversion)
+COMMONFLAG = "-fcommon"
+
 SRCDIR=src
-DBGFLAGS=-g -O3 -fomit-frame-pointer -no-pie
+DBGFLAGS=-g -O3 -fomit-frame-pointer -no-pie $(COMMONFLAG)
 BCFLAGS=-funsigned-char
 export LDFLAGS=-no-pie
 
@@ -135,6 +138,8 @@
 	find $(SRCDIR) -name \*.wam | xargs touch
 # -- clean up docs ------------------------------------------------------------
 	make -C doc clean-all distclean
+	[ -e doc/copyright-stored.tex ] && \
+		cp doc/copyright-stored.tex doc/copyright.tex || true
 # -- clean up examples --------------------------------------------------------
 	ls -d examples/Examples* | while read DIR; do	\
 	  if [ -f $$DIR/Makefile ]; then		\
@@ -234,6 +239,3 @@
 	dh_fixperms -a
 #	dh_makeshlibs -a
 	for CTLFILE in postinst prerm; do			\
-	  ( echo "# -- Prolog variant ---------";		\
-	    echo LIB=/usr/lib/gprolog;				\
-	    echo "# ---------------------------" )		\

## gprolog 1.5.0

=== debian/changelog ===
gprolog (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * New upstream version
  * Maintain in Debian team on Salsa
  * debhelper-compat=13
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Drop use of autotools-dev debhelper.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Build-Depends: latexmk
  * Fix Build issues with gcc-15
    Closes: #1096760
  * d/control: Remove unknown build architecture powerpcspe
  * d/source/include-binaries: Removed

  [ Patrice Duroux ]
  * Add watch file
    Closes: #1036468
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Mon, 02 Mar 2026 15:18:47 +0100

=== debian/control ===
Source: gprolog
Standards-Version: 4.7.3
Maintainer: Salvador Abreu <spa@debian.org>
Section: devel
Build-Depends:
 debhelper-compat (= 13),
 latexmk,
Build-Depends-Indep:
 imagemagick,
 gsfonts,
 texlive-latex-recommended,
 texlive-latex-extra,
 texlive-font-utils,
 hevea,
Vcs-Browser: https://salsa.debian.org/debian/gprolog
Vcs-Git: https://salsa.debian.org/debian/gprolog.git
Homepage: http://www.gprolog.org/

Package: gprolog
Architecture: i386 amd64 sparc sparc64 alpha powerpc
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 gprolog-doc,
Description: GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).  GNU Prolog is largely compliant with the ISO
 standard and is part of the Prolog Commons initiative.
 .
 This package contains the compiler and runtime system for the ISO
 standard version of GNU Prolog, including the prototype modules
 implementation.

Package: gprolog-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 pdf-viewer,
 www-browser,
Description: documentation for the GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).
 .
 This package contains the documentation (PDF and HTML) for GNU
 Prolog.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # /usr/share/doc/debhelper/examples/rules.multi, with the following header:
 # =============================================================================
 #
-# Sample debian/rules that uses debhelper. 
+# Sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess.
 #
 
@@ -53,8 +53,8 @@
 	--without-links							\
 	--disable-ebp							\
 	$(REGS)								\
-	--with-c-flags="$(DBGFLAGS) $(BCFLAGS) -Wall $(CPPFLAGS)"
-
+	--with-c-flags="$(DBGFLAGS) $(BCFLAGS) -Wall $(CPPFLAGS)	\
+	-std=gnu89"
 
 INSTALLDIRS =								\
 	INSTALL_DIR=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)		\
@@ -82,13 +82,13 @@
 config:
 	dh_testdir
 # -----------------------------------------------------------------------------
-	( PATH=${PATH};							     \
-	  if [ ! -f $(SRCDIR)/Makefile -o				     \
-	       ! -f $(SRCDIR)/configure -o				     \
-	       $(SRCDIR)/Makefile.in -nt $(SRCDIR)/Makefile ]; then	     \
-	    cd $(SRCDIR);						     \
-	    [ -f ./configure ] || autoconf;				     \
-	    CC=$(CC) CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
+	( PATH=${PATH};							 \
+	 if [ ! -f $(SRCDIR)/Makefile -o				 \
+	 ! -f $(SRCDIR)/configure -o				 \
+	 $(SRCDIR)/Makefile.in -nt $(SRCDIR)/Makefile ]; then	 \
+	 cd $(SRCDIR);						 \
+	 [ -f ./configure ] || autoconf;				 \
+	 CC=$(CC) CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
 # -----------------------------------------------------------------------------
 	touch stamp-config
 
@@ -127,9 +127,9 @@
 	set -e; PATH=${PATH} make -C $(SRCDIR) distclean
 # -- now, get rid of some more generated files --------------------------------
 	set -e;								\
-	  find -name Makefile -o -name configure |			\
-	    while read FILE; do						\
-	      if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
+	 find -name Makefile -o -name configure |			\
+	 while read FILE; do						\
+	 if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
 	find src -name VERSION | xargs -r rm -f
 	rm -rf $(SRCDIR)/autom4te.cache
 	rm -f $(SRCDIR)/EnginePl/gprolog_cst.h
@@ -138,13 +138,13 @@
 	find $(SRCDIR) -name \*.wam | xargs touch
 # -- clean up docs ------------------------------------------------------------
 	make -C doc clean-all distclean
-	[ -e doc/copyright-stored.tex ] && \
-		cp doc/copyright-stored.tex doc/copyright.tex || true
+#	[ -e doc/copyright-stored.tex ] && \
+#		cp doc/copyright-stored.tex doc/copyright.tex || true
 # -- clean up examples --------------------------------------------------------
 	ls -d examples/Examples* | while read DIR; do	\
-	  if [ -f $$DIR/Makefile ]; then		\
-	    make -C "$$DIR" clean;			\
-	  fi;						\
+	 if [ -f $$DIR/Makefile ]; then		\
+	 make -C "$$DIR" clean;			\
+	 fi;						\
 	done
 # -----------------------------------------------------------------------------
 	dh_clean
@@ -165,10 +165,10 @@
 # -- Install manpages ---------------------------------------------------------
 	mkdir -p debian/$(PACKAGE)/usr/share/man/man1/
 	cat debian/manpage.1 |						 \
-	  sed -e "s/@PACKAGE@/$(PACKAGE)/g" |				 \
-	  gzip -9 > debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1.gz
+	 sed -e "s/@PACKAGE@/$(PACKAGE)/g" |				 \
+	 gzip -9 > debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1.gz
 	for CMD in gplc hexgplc; do					\
-	  ln -sf $(PACKAGE).1.gz					\
+	 ln -sf $(PACKAGE).1.gz					\
 		 debian/$(PACKAGE)/usr/share/man/man1/$$CMD.1.gz;	\
 	done
 # -- Install auxiliary stuff --------------------------------------------------
@@ -194,7 +194,7 @@
 	dh_installdirs -A
 # -- commands to install the package into the staging area --------------------
 	make -C $(SRCDIR) $(INSTALLDIRS) \
-	  install-doc install-html install-examples
+	 install-doc install-html install-examples
 # -- remove stray PDFs --------------------------------------------------------
 	find debian/$(PACKAGE)-doc -name compil-scheme.pdf\* | xargs -r rm -f
 	find debian/$(PACKAGE)-doc -name debug-box.pdf\* | xargs -r rm -f
@@ -239,3 +239,4 @@
 	dh_fixperms -a
 #	dh_makeshlibs -a
 	for CTLFILE in postinst prerm; do			\
+	 ( echo "# -- Prolog variant ---------";		\

=== debian/watch ===
Version: 5

Source: https://github.com/didoudiaz/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
